<?php

	require("_init.php");
	require("_connect2.php");
	require("_funcdb.php");
	require("_funcstd.php");

	$tblname1 = "tblpenjua";
	$tblname2 = "tblpenjud";

	$kodecabang = $_POST['kodecab'];

	if ( !isset($_SESSION['processcode']) or $_SESSION['processcode'] != $_POST['processcode'] ) {
		die("Invalid process !");
	}

	if ( !isset($kodecabang) or $kodecabang <= 0 ) {
		die( "Error: Not a valid branch code !" );
	}

	$id = $_POST['ID'];

	if ( get_magic_quotes_gpc() ) {
		$penjud = stripslashes($_POST['PENJUD']);
	} else {
		$penjud = $_POST['PENJUD'];
	}

	$jsonarr = json_decode( $penjud, true );

	if ( $jsonarr == NULL ) {
		if ( version_compare(phpversion(), '5.3.1', '>=') ) {
			$json_errors = array( 
				JSON_ERROR_NONE => 'No error has occurred',
				JSON_ERROR_DEPTH => 'The maximum stack depth has been exceeded',
				JSON_ERROR_CTRL_CHAR => 'Control character error, possibly incorrectly encoded',
				JSON_ERROR_SYNTAX => 'Syntax error',
				JSON_ERROR_UTF8 => 'Malformed UTF-8 characters'
			);
			$jsonerr = json_last_error();
			if ( $jsonerr != JSON_ERROR_NONE ) {
				die( $json_errors[$jsonerr] . "\n" . $penjud );
			} else {
				die( "JSON Error !\n" . $penjud );
			}
		} else {
			die( "JSON Error !\n" . $penjud );
		}
	}


	//	die( var_dump($jsonarr) );
	$point = 0;

	if ( strlen(trim($_POST['ALS_BATAL'])) == 0 ) {
		$point = floor( ( $_POST['TOT_HARGA'] + $_POST['TOT_HAREX1'] + $_POST['TOT_HAREX2'] - $_POST['TOT_DISC'] ) / KELIPATAN_POINT );
	}

	// Bawah ini: Point dihitung per rincian item penjualan ...
/*	foreach ( $jsonarr as $value ) {
		$perintahdb = "SELECT Kode, Group_Stk, Group_St2, Group_St3 FROM tblitem WHERE ( Upper(Trim(Kode)) = Upper(Trim('" . $value['ItemKode'] . "')) )";
		$sqlquery = @DBQuery( $perintahdb );
		if ( ( $sqlrow = @DBFetchAssoc( $sqlquery ) ) and Upper(Trim($sqlrow['Group_Stk'])) != "SEMBAKO" ) {
			$point = $point + ( $value['Harga'] + $value['Harga_Ex1'] + $value['Harga_Ex2'] - $value['Disc_Nilai'] - ( $value['Harga'] * $value['Disc_Pers'] / 100 ) );
		}
	}*/

	$updateset = "SET 
					KodeCabang=" . $kodecabang . ", 
					ExportID=" . $id . ",
					SalOrdID=" . $_POST['SALORD_ID'] . ",
					Point=" . $point . ", 
					EcrLst=" . string2SQL( $_POST['ECRLST'] ) . ",
					Divisi_ID=" . $_POST['DIVISI_ID'] . ",
					JenPen_ID=" . $_POST['JENPEN_ID'] . ",
					Perkir_1=" . $_POST['PERKIR_1'] . ",
					Perkir_2=" . $_POST['PERKIR_2'] . ",
					Barang_Klr=" . $_POST['BARANG_KLR'] . ",
					Linked=" . $_POST['LINKED'] . ",
					No_Milik=" . $_POST['NO_MILIK'] . ",
					No_Mlk_Csh=" . $_POST['NO_MLK_CSH'] . ",
					No=" . $_POST['NO'] . ",
					No_C=" . string2SQL( $_POST['NO_C'] ) . ",
					No_Pjk_Pre=" . $_POST['NO_PJK_PRE'] . ",
					No_Pjk=" . $_POST['NO_PJK'] . ",
					PO=" . string2SQL( $_POST['PO'] ) . ",
					Gudang=" . string2SQL( $_POST['GUDANG'] ) . ",
					Tanggal=" . string2SQL( $_POST['TANGGAL'] ) . ",
					Tgl_Pajak=" . string2SQL( $_POST['TGL_PAJAK'] ) . ",
					Pukul=" . string2SQL( $_POST['PUKUL'] ) . ",
					PelangKode=" . string2SQL( $_POST['PELANGKODE'] ) . ",
					Pel_Nama=" . string2SQL( $_POST['PEL_NAMA'] ) . ",
					Pel_Alamat=" . string2SQL( $_POST['PEL_ALAMAT'] ) . ",
					MaUang=" . $_POST['MAUANG'] . ",
					Kurs=" . $_POST['KURS'] . ",
					Kurs_Pajak=" . $_POST['KURS_PAJAK'] . ",
					Tot_Harga=" . $_POST['TOT_HARGA'] . ",
					Tot_HarEx1=" . $_POST['TOT_HAREX1'] . ",
					Tot_HarEx2=" . $_POST['TOT_HAREX2'] . ",
					Tot_Disc=" . $_POST['TOT_DISC'] . ",
					Tot_Pajak=" . $_POST['TOT_PAJAK'] . ",
					Tot_Retur=" . $_POST['TOT_RETUR'] . ",
					Disc_Nilai=" . $_POST['DISC_NILAI'] . ",
					Disc_PersT=" . $_POST['DISC_PERST'] . ",
					PPN_Tipe=" . $_POST['PPN_TIPE'] . ",
					PPN_Pers=" . $_POST['PPN_PERS'] . ",
					PPN_Nilai=" . $_POST['PPN_NILAI'] . ",
					Adj_01=" . $_POST['ADJ_01'] . ",
					Adj_02=" . $_POST['ADJ_02'] . ",
					Adj_03=" . $_POST['ADJ_03'] . ",
					Adj_04=" . $_POST['ADJ_04'] . ",
					Adj_05=" . $_POST['ADJ_05'] . ",
					Deposit=" . $_POST['DEPOSIT'] . ",
					Tgl_Lunas=" . string2SQL( $_POST['TGL_LUNAS'] ) . ",
					Lunas=" . $_POST['LUNAS'] . ",
					Lun_Tipe_1=" . $_POST['LUN_TIPE_1'] . ",
					Lun_Doc_1=" . string2SQL( $_POST['LUN_DOC_1'] ) . ",
					Lun_Doc_1A=" . string2SQL( $_POST['LUN_DOC_1A'] ) . ",
					Lunas_1=" . $_POST['LUNAS_1'] . ",
					Charges_1=" . $_POST['CHARGES_1'] . ",
					Term_Crd=" . $_POST['TERM_CRD'] . ",
					Sales=" . string2SQL( $_POST['SALES'] ) . ",
					Sales_Kom=" . $_POST['SALES_KOM'] . ",
					Supir=" . string2SQL( $_POST['SUPIR'] ) . ",
					Catatan=" . string2SQL( $_POST['CATATAN'] ) . ",
					Catatan_2=" . string2SQL( $_POST['CATATAN_2'] ) . ",
					Catatan_3=" . string2SQL( $_POST['CATATAN_3'] ) . ",
					Saldo_Awal=" . $_POST['SALDO_AWAL'] . ",
					Als_Batal=" . string2SQL( $_POST['ALS_BATAL'] ) . ",
					Clear_AR=" . string2SQL( $_POST['CLEAR_AR'] ) . ",
					Cetak_Oleh=" . string2SQL( $_POST['CETAK_OLEH'] ) . ", 
					Cetak_DateTime='" . VO2DateTime( $_POST['CETAK_TGL'], $_POST['CETAK_JAM'] ) . "', 
					Ceta2_Oleh=" . string2SQL( $_POST['CETA2_OLEH'] ) . ", 
					Ceta2_DateTime='" . VO2DateTime( $_POST['CETA2_TGL'], $_POST['CETA2_JAM'] ) . "', 
					Konf_Oleh=" . string2SQL( $_POST['KONF_OLEH'] ) . ", 
					Konf_DateTime='" . VO2DateTime( $_POST['KONF_TGL'], $_POST['KONF_JAM'] ) . "', 
					Export_Oleh=" . string2SQL( $_POST['UserActive'] ) . ", 
					Export_DateTime='" . date('Y-m-d H:i:s') . "', 
					Export_IP='" . $_SERVER['REMOTE_ADDR'] . "', 
					Export_Mac='', 
					Input_Oleh=" . string2SQL( $_POST['INPUT_OLEH'] ) . ", 
					Ubah_Oleh=" . string2SQL( $_POST['UBAH_OLEH'] ) . ", 
					Input_DateTime='" . VO2DateTime( $_POST['TGL_INPUT'], $_POST['JAM_INPUT'] ) . "', 
					Ubah_DateTime='" . VO2DateTime( $_POST['TGL_UBAH'], $_POST['JAM_UBAH'] ) . "'";

	$perintahdb = "SELECT PenjuaID, KodeCabang FROM $tblname1 WHERE ( ExportID = $id AND KodeCabang = $kodecabang )";

	$sqlquery = @DBQuery( $perintahdb );

	if ( $sqlrow = @DBFetchAssoc( $sqlquery ) ) {

		$penjuaid = $sqlrow['PenjuaID'];

		$perintahdb = "UPDATE $tblname1 " . $updateset . " WHERE ( PenjuaID = $penjuaid )";

	} else {

		$perintahdb = "INSERT INTO $tblname1 " . $updateset;

		$penjuaid = 0;

	}

	$sqlquery = @DBQuery( $perintahdb );

	if ( $sqlquery ) {

		if ( $penjuaid == 0 ) {
			$penjuaid = DBLastInsertID();
		} else {
			$perintahdb = "DELETE FROM $tblname2 WHERE PenjuaID=$penjuaid";
			$sqlquery = @DBQuery( $perintahdb );
		}

		$query = array();

		foreach ( $jsonarr as $value ) {
			$query[] = "(" . 
						$penjuaid . ", " . 
						$value['PembelID'] . ", " . 
						$value['StkTraID'] . ", " . 
						$value['Perkir_ID'] . ", " . 
						string2SQL( $value['ItemKode'] ) . ", " . 
						string2SQL( $value['ItemNama'] ) . ", " . 
						string2SQL( $value['ItemKode2'] ) . ", " . 
						string2SQL( $value['ItemNama2'] ) . ", " . 
						string2SQL( $value['ItemGudang'] ) . ", " . 
						string2SQL( $value['Stock_Non'] ) . ", " . 
						$value['StkSer_ID'] . ", " . 
						string2SQL( $value['StkSer_1'] ) . ", " . 
						string2SQL( $value['StkSer_2'] ) . ", " . 
						string2SQL( $value['Sales'] ) . ", " . 
						string2SQL( $value['Satuan'] ) . ", " . 
						$value['Satuan_ID'] . ", " . 
						$value['Jumlah'] . ", " . 
						string2SQL( $value['Out_Satuan'] ) . ", " . 
						$value['Out_Satuan_ID'] . ", " . 
						$value['Out_Jumlah'] . ", " . 
						string2SQL( $value['Bon_Satuan'] ) . ", " . 
						$value['Bon_Satuan_ID'] . ", " . 
						$value['Bon_Jumlah'] . ", " . 
						$value['Harga'] . ", " . 
						$value['Harga_Ex1'] . ", " . 
						$value['Harga_Ex2'] . ", " . 
						$value['Disc_Pers'] . ", " . 
						$value['Disc_Pers2'] . ", " . 
						$value['Disc_Pers3'] . ", " . 
						$value['Disc_Nilai'] . ", " . 
						$value['PPN_Pers'] . ", " . 
						$value['PPN_Nilai'] . ", " . 
						$value['Mast_Disc'] . ", " . 
						$value['Mast_PPN'] . ", " . 
						$value['Mast_Adj_1'] . ", " . 
						$value['Mast_Adj_2'] . ", " . 
						$value['Mast_Adj_3'] . ", " . 
						$value['Mast_Adj_4'] . ", " . 
						$value['Mast_Adj_5'] . ", " . 
						string2SQL( $value['Als_Batal'] ) . ", " . 
						string2SQL( $value['Expired'] ) . ", " . 
						string2SQL( $value['Catatan'] ) . ")";
		}

		$perintahdb = "INSERT INTO $tblname2 ( PenjuaID, PembelID, StkTraID, Perkir_ID, ItemKode, ItemNama, ItemKode2, ItemNama2, ItemGudang, Stock_Non, StkSer_ID, StkSer_1, StkSer_2, Sales, Satuan, Satuan_ID, Jumlah, Out_Satuan, Out_Satuan_ID, Out_Jumlah, Bon_Satuan, Bon_Satuan_ID, Bon_Jumlah, Harga, Harga_Ex1, Harga_Ex2, Disc_Pers, Disc_Pers2, Disc_Pers3, Disc_Nilai, PPN_Pers, PPN_Nilai, Mast_Disc, Mast_PPN, Mast_Adj_1, Mast_Adj_2, Mast_Adj_3, Mast_Adj_4, Mast_Adj_5, Als_Batal, Expired, Catatan ) 
						VALUES " . implode(",", $query);

		$sqlquery = @DBQuery( $perintahdb );

		if ( $sqlquery ) {
			die( "Ok:" . date('YmdH:i:s') );
		}

	}

	die( "Error: " . DBError() . "\n" . $perintahdb );
?>